#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;
typedef long long lg;
#define cp copy (N.begin(), N.end(), u);
lg find_m(vector <lg>& N)
{
    lg m=1000000000;
    for (lg i=0; i!=N.size(); i++)
    {
        if (N[i]<m)
            m=N[i];
    }
    return m;
}
lg find_mx(vector <lg>& N)
{
    lg m=-1000000000;
    for (lg i=0; i!=N.size(); i++)
    {
        if (N[i]>m)
            m=N[i];
    }
    return m;
}
bool ost(lg x, lg y)
{
    bool b;
    if (x%y==0)
        b=true;
    else
        b=false;
    return b;
}

int main()
{
    lg n, a, x, y, z;
    cin>>n;
    vector <lg> N;
    for (lg i=0; i!=n; i++)
    {
        cin>>a;
        N.push_back(a);
    }
    if (n==3)
    {
        sort (N.begin(), N.end());
        cout<<N[2]-N[0]<<endl;
        cout<<1<<" "<<2<<" "<<3;
        return 0;
    }
}